/* Expenditure from renting farming machinery */

data agrrent1; set p91.f09dm;
proc means sum noprint;
class hid;
var cshrnto kndrnto mainteq fueleq;
output out=agrrent1 sum=cash inkind maintain fuel;

data agrrent1; set agrrent1;
if hid gt 0.;
if cash eq . then cash = 0.;
if inkind eq . then inkind = 0.;
if maintain eq . then maintain = 0.;
if fuel eq . then fuel = 0.;
agrrent1 = cash + inkind - maintain - fuel;

data x.agrrent1; set agrrent1;
if agrrent1 ne . and agrrent1 ne 0.;
keep hid agrrent1;
run;

