/* Income from agriculture - Orchard crops  */


/*////////////////////////////////////////////////////////////////////
/  Only those households that report non-zero quantity harvested     /
/  are considered here.  Value of orchard crop taken to be total     /
/  amount produced times the price paid by primary buyer.  Note      /
/  that it was possible to calculate this value for only those       /
/  households that reported the same units for quantity in questions /
/  7 and 11.                                                         /
////////////////////////////////////////////////////////////////////*/
data agri01; merge p91.f09b7 p91.f09b8;by hid cropcd;
if tr_haru gt 0. and ((tr_haru eq tr_pdu1) or tr_haru eq 9.);
valfruit = (tr_harv * tr_pdrs1);
if tr_haru eq 9. then valfruit = tr_harv;

proc sort; by hid cropcd;
proc means noprint sum;
class hid;
var valfruit;
output out=x.agr_inc3 sum=valfruit;

data x.agr_inc3; set x.agr_inc3;
if hid gt 0. and valfruit gt 0.;
keep hid valfruit;
run;
proc means; run;
