/* Interest income on loans made */

/*/////////////////////////////////////////////////////////////////
/  Information on loan amount, amount repaid, as well as interest /
/  rate agreed upon available.                                    /
/  In only one case is the interest rate gt 0. (hid 218100413)    /
/  50,000 lent in 86, 25,000 repaid, at 6%.  Income calculated    /
/  to be 6% of 50,000)                                            /
/  In only one case was the amount repaid greater than the amount /
/  lent (hid 220403816) where 4,000 was lent in 89, and 15,000    /
/  repaid.  Income here calculated to be 5,500 (1/2 of 11,000 as  /
/  loan period was two years) (even though household reports      /
/  loan as still repaid)                                          /
/                                                                 /
/  Since there are only two households for which income can be    /
/  calculated, and even for those doing so requires making        /
/  assumptions, one might want to exclude this section altogether /
/////////////////////////////////////////////////////////////////*/

data credit; set p91.f15c2;
if int_l gt 0. then interest = (int_l*amt_l)/100.;
if amtrp_l gt amt_l then interest = (amtrp_l-amt_l)/2;

data x.credit; set credit;
if interest gt 0.;
keep hid interest;
run;
