/* Imputed income from housing */

data temp; merge p91.f02a p91.f02b p91.f02c; by hid;
if occstat ne 2.;
if occstat eq 1. and rentvu eq 4. then hrent=rentv*52.;
if occstat eq 1. and rentvu eq 5. then hrent=rentv*12.;
if occstat eq 3. and rentvu eq 5. then hrent=rentv*12.;
province=int(hid/100000000.);
urbrural=(int(hid/10000000.)-10*province);
urban=0; if urbrural eq 1. then urban=1.;
strat= (int(hid/100000.)-1000*province-100*urbrural);
lcity=0.; if urbrural eq 1. and strat ge 10. then lcity=1.;
 garb=0.; if garbage eq 1. or garbage eq  5. then  garb=1.;
drain=0.; if  drains eq 1. then drain  =  1.;
water=0.; if  dwater eq 1. or  dwater eq 10. then water=1.;
flmat=0.; if  floor  eq 4. or  floor  eq  5. then flmat=1.;
 wind=0.; if windows  eq 2. or windows eq 3. then  wind=1.;
 tele=0.; if telephon eq 1. then tele=1.;

proc reg;
model hrent=rooms lcity garb drain water flmat wind tele / noint;
output out=temp predicted=rent_reg;

data x.housing; set temp;
if   hrent eq .  and rent_reg gt 0. then hrent=rent_reg;
keep hid hrent;
run;
