/* Income from assets owned (Section 15 D1) */
/*/////////////////////////////////////////////////////////////////
/  Households report income from rental of property, as well as   /
/  income received from agricultural land.                        /
/                                                                 /
/  However, there appears to be a problem with the data for this  /
/  section, at least with the SAS data sets I have -              /
/  564 households report owning agricultural land (Q. 8)          /
/  However, in Q. 15, only 2 households report non-zero income,   /
/  and even for these two households, the data appears to be      /
/  incorrect.                                                     /
/  Thus at present, the income variable from this section         /
/  effectively only reflects income from rental of property,      /
/  and not agri. land.                                            /
/////////////////////////////////////////////////////////////////*/

data invments; set p91.f15dm;

invments = sum(of rntply incaglnd);

data x.invments; set invments;
if invments gt 10.;
keep hid invments;
run;
