/* Income from processing and sales of own-farm products */

data process1; set p91.f09h2;
income  = (byprern);
expense = (byprcst)*-1.;

proc means sum noprint;
var income expense;
class hid;
output out = process2 sum = income expense;

data process2; set process2;
if hid gt 0.;
if expense eq . then expense = 0.;
process = income - expense;

data x.process; set process2;
if hid gt 0. and process gt 0.;
keep hid process;
run;
